<ng-container *transloco="let t; read: 'filters'">
  <p
    *ngIf="hasActive(); else noFilters">
    {{t('selected')}}
  </p>
  <ng-template #noFilters>
    <p>{{t('no_selection')}}</p>
  </ng-template>
  <mat-chip-set
    *ngIf="activeFilters"
    class="chip-set-padding">
    <ng-container *ngFor="let tagName of tagNames">
      <mat-chip
        class="custom-chip"
        *ngFor="let tag of activeFilters[tagName]"
        removable
        (removed)="removeTag(tagName, tag)">
        {{t(tagName|lowercase)}} : {{tag.tag_translations | translate}}
        <button matChipRemove>
          <mat-icon>cancel</mat-icon>
        </button>
      </mat-chip>
    </ng-container>
  </mat-chip-set>
</ng-container>
